All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.services.user
Interface GlobalProfileInterface

All Superinterfaces:
  ProfileInterface, java.rmi.Remote

    public interface GlobalProfileInterface

extends ProfileInterface

Global profile.

Since:
  1.0

Field Summary

Fields inherited from interface com.sas.services.user.ProfileInterface
`NO_BACK_END_MSG_KEY`

Method Summary
`void` | `addMail(java.lang.String address)` Add a mail address to the list of addresses for the user.
`com.sas.services.user.GroupProfileInterface` | `getGroupProfile(java.lang.String group)` Deprecated. Group profile functionality is no longer supported.
`java.util.List` | `getGroupProfiles()` Deprecated. Group profile functionality is no longer supported.
`java.util.Locale` | `getLocale()` Get the default locale for this profile.
`java.util.List` | `getMail()` Get a list of valid email addresses for the user.
`java.lang.String` | `getName()` Get the user's name from the profile.
`PersonalRepositoryInterface` | `getPersonalRepository()` Get a handle to the Personal Repository for the user.
`void` | `removeMail(java.lang.String address)` Remove an address from the list of email addresses for the user.
`void` | `setLocale(java.util.Locale locale)` Set the default locale for this user.
`void` | `setMail(java.lang.String address)` Set a user's email address to a single string value.
`void` | `setName(java.lang.String name)` Set the user's name via the profile.

Methods inherited from interface com.sas.services.user.ProfileInterface
`addAttribute, addProfile, create, createSubprofile, deleteProfile, destroy, getAllAttributes, getApplication, getAttribute, getAttributes, getLocale, getParentProfile, getPathFromRoot, getProfile, getProfile, getRootProfile, getUserContext, isLoaded, keySet, load, persist, refresh, removeAttribute, removeProfile, setAttribute, setLoadParameters, setLocale, setParentProfile, setRefreshCycle, values`

Method Detail

### getGroupProfile

    com.sas.services.user.GroupProfileInterface getGroupProfile(java.lang.String group)
                                                                throws java.rmi.RemoteException

  Deprecated. Group profile functionality is no longer supported.

  Get the profile for a specific group.

  Parameters:
    `group` - The name of the group to get the profile for.
  Returns:
    The GroupProfileInterface for the group profile, or null if no profile exists for that group.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### getGroupProfiles

    java.util.List getGroupProfiles()
                                    throws java.rmi.RemoteException

  Deprecated. Group profile functionality is no longer supported.

  Get all of the group profiles.

  Returns:
    A List of GroupProfileInterface objects for all the group profiles.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### getName

    java.lang.String getName()
                             throws java.rmi.RemoteException

  Get the user's name from the profile.

  Returns:
    The user's name.
  Throws:
    `java.rmi.RemoteException` - In the event of remote object failure.

### setName

    void setName(java.lang.String name)
                 throws java.rmi.RemoteException

  Set the user's name via the profile.

  Parameters:
    `name` - The user's name.
  Throws:
    `java.rmi.RemoteException` - in the event of remote object failure.

### getMail

    java.util.List getMail()
                           throws ServiceException,
                                  java.rmi.RemoteException

  Get a list of valid email addresses for the user.

  Returns:
    A List of String objects representing mail addresses.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.

### setMail

    void setMail(java.lang.String address)
                 throws ServiceException,
                        java.rmi.RemoteException

  Set a user's email address to a single string value. All other values will be removed.

  Parameters:
    `address` - The address to set as the only email address for the user.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.

### addMail

    void addMail(java.lang.String address)
                 throws ServiceException,
                        java.rmi.RemoteException

  Add a mail address to the list of addresses for the user.

  Parameters:
    `address` - A new address to add to the list of email addresses for the user.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.

### removeMail

    void removeMail(java.lang.String address)
                    throws ServiceException,
                           java.rmi.RemoteException

  Remove an address from the list of email addresses for the user.

  Parameters:
    `address` - The address to remove from the list of emails for the user.
  Throws:
    `ServiceException` - If a service level error occurs.
    `java.rmi.RemoteException` - in the event of remote object failure.

### getLocale

    java.util.Locale getLocale()
                               throws ServiceException,
                                      java.rmi.RemoteException

  Get the default locale for this profile. Look first in the "SAS" application profile for ("Locale.DefaultLocale").

  Returns:
    The default locale, if found. Null otherwise.
  Throws:
    `ServiceException` - If a repository or service error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setLocale

    void setLocale(java.util.Locale locale)
                   throws ServiceException,
                          java.rmi.RemoteException

  Set the default locale for this user.

  Parameters:
    `locale` - The default locale preference for the user.
  Throws:
    `ServiceException` - If a repository or service error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getPersonalRepository

    PersonalRepositoryInterface getPersonalRepository()
                                                      throws ServiceException,
                                                             java.rmi.RemoteException

  Get a handle to the Personal Repository for the user.

  Returns:
    A handle to the Personal repository.
  Throws:
    `ServiceException` - if unable to get the personal repository.
    `java.rmi.RemoteException` - in the event of remote object failure.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.